Bug 197002 - Remote automatic tests hangs time to time
Remote automatic tests hangs time to time
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.0
PC Mac OS X
: P1 (vote)
: 7.0
Assigned To: Vladimir Kvashin
issues@cnd
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-23 11:33 UTC by soldatov
Modified: 2011-03-31 13:42 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
dump (58.78 KB, text/plain)
2011-03-23 11:33 UTC, soldatov
Details
other dump (54.59 KB, text/plain)
2011-03-23 11:38 UTC, soldatov
Details
dump (52.81 KB, text/plain)
2011-03-28 14:02 UTC, soldatov
Details
Full thread dump (49.71 KB, text/plain)
2011-03-28 14:49 UTC, Vladimir Kvashin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2011-03-23 11:33:26 UTC
Created attachment 107210 [details]
dump

On MacOSX NetBeans hangs after some automatic remote tests
Comment 1 soldatov 2011-03-23 11:38:52 UTC
Created attachment 107211 [details]
other dump
Comment 2 Vladimir Kvashin 2011-03-23 11:42:01 UTC
I see deadlock in thread dump:

Thread "DLightScheduledTask No. 8"
tries to connect and asks user for password

Thread "AWT-EventQueue-2"
calls ConnectionManager.isConnectedTo,
which tries to obtain the same lock (7e7ee76c8)
that is obtained by "DLightScheduledTask No. 8"

Valera, thanks for finding this!
Will be fixed shortly.
Comment 4 Quality Engineering 2011-03-24 09:47:26 UTC
Integrated into 'main-golden', will be available in build *201103240400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/50b1a061ff36
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: Use a separate lock object (fixing #197002 - Remote automatic tests hangs time to time)
Comment 5 soldatov 2011-03-28 14:02:50 UTC
Created attachment 107336 [details]
dump

This fix doesn't resolve my problem. New dump is attached
Comment 6 Vladimir Kvashin 2011-03-28 14:49:38 UTC
Created attachment 107339 [details]
Full thread dump
Comment 7 Vladimir Kvashin 2011-03-28 14:50:54 UTC
We removed locking in ConnectionManager, 
but AWT thread is now locked in JSchChannelsSupport.isConnected
Comment 8 Vladimir Kvashin 2011-03-29 06:47:43 UTC
Fixed in cnd-main:
http://hg.netbeans.org/cnd-main/rev/bc33b86d522a
Comment 9 soldatov 2011-03-29 11:57:02 UTC
Verified in trunk.
I launched automatic tests 6 times and fix works nicely.
Comment 10 Quality Engineering 2011-03-30 08:41:03 UTC
Integrated into 'main-golden', will be available in build *201103300400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/bc33b86d522a
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #197002 - Remote automatic tests hangs time to time
Comment 11 Alexander Pepin 2011-03-31 13:42:28 UTC
Verified in RC2 build 20110331.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo